Subject: bug#25381: closed (Re: bug#25381: sed 4.3: Test suite partially fails to compile when configured with --with-included-regex.)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 29 Oct 2017 03:32:02 +0000

Your bug report

#25381: sed 4.3: Test suite partially fails to compile when configured with --with-included-regex.

which was filed against the sed package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
25381: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=25381
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#25381: sed 4.3: Test suite partially fails to compile when configured with --with-included-regex.
From: Assaf Gordon <[email-masked]>
To: Juan Manuel Guerrero <[email-masked]>
Cc: [email-masked]
Date: Sat, 28 Oct 2017 21:31:37 -0600
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

These problematic regex tests were recently removed from sed:
https://git.savannah.gnu.org/cgit/sed.git/commit/?id=97478b089

I'm therefore closing this bug.

regards,
  - assaf

Subject: sed 4.3: Test suite partially fails to compile when configured with --with-included-regex.
From: Juan Manuel Guerrero <[email-masked]>
To: [email-masked]
Date: Sat, 07 Jan 2017 06:29:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This is another issue I noted when trying to port sed to FreeDOS using DJGPP
but it may be interesting for other OS too and can be reproduced with linux.
If I configure with the --with-included-regex option at least no one of the
bug-regex*.c files are linked with with libsed.a.  An inspection of the
makefile shows that entries like: testsuite_bug_regex*_DEPENDENCIES are
missing.  This is not he case for get-mb-cur-max.c and test-mbrtowc.c.
There may be more .c files where these specific dependecies are missing.
I have not inevstigated further.  The compilation of the required binaries
fail with the following error message:

depbase=`echo testsuite/bug-regex7.o | sed 's|[^/]*$|.deps/&|;s|\.[^.]*$||'` && \
gcc -std=gnu99 -DHAVE_CONFIG_H -I. -I..  -I.. -I../lib -I./lib -I./sed   -g -O2 -MT testsuite/bug-regex7.o -MD -MP -MF $depbase.Tpo -c -o testsuite/bug-regex7.o  ../testsuite/bug-regex7.c; \
if test $? = 0; then mv -f $depbase.Tpo $depbase.Po; \
   else rm -f $depbase.Tpo; false; fi
gcc -std=gnu99  -g -O2   -o testsuite/bug-regex7 testsuite/bug-regex7.o
testsuite/bug-regex7.o: In function `main':
/home/jmg/_shared_folder_/portieren/sed-4.3/_/../testsuite/bug-regex7.c:43: undefined reference to `rpl_re_compile_pattern'
/home/jmg/_shared_folder_/portieren/sed-4.3/_/../testsuite/bug-regex7.c:68: undefined reference to `rpl_re_compile_pattern'
/home/jmg/_shared_folder_/portieren/sed-4.3/_/../testsuite/bug-regex7.c:51: undefined reference to `rpl_re_search'
/home/jmg/_shared_folder_/portieren/sed-4.3/_/../testsuite/bug-regex7.c:76: undefined reference to `rpl_re_match'
collect2: ld returned 1 exit status
make[3]: *** [testsuite/bug-regex7] Error 1
make[3]: Leaving directory `/home/jmg/_shared_folder_/portieren/sed-4.3/_'
make[2]: *** [check-am] Error 2
make[2]: Leaving directory `/home/jmg/_shared_folder_/portieren/sed-4.3/_'
make[1]: *** [check-recursive] Error 1
make[1]: Leaving directory `/home/jmg/_shared_folder_/portieren/sed-4.3/_'
make: *** [check] Fehler 2

Regards,
Juan M. Guerrero